--Custom Items described
GLOBAL.STRINGS.NAMES.DCA = "Dragonslayer's Crescent Axe"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.DCA = "Its a fake!"

PrefabFiles = {
	"creighton",
	"dca",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/creighton.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/creighton.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/creighton.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/creighton.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/creighton_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/creighton_silho.xml" ),

    Asset( "IMAGE", "bigportraits/creighton.tex" ),
    Asset( "ATLAS", "bigportraits/creighton.xml" ),

	Asset( "IMAGE", "images/map_icons/creighton.tex" ),
	Asset( "ATLAS", "images/map_icons/creighton.xml" ),

	Asset( "IMAGE", "images/avatars/avatar_creighton.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_creighton.xml" ),

	Asset( "IMAGE", "images/avatars/avatar_ghost_creighton.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_creighton.xml" ),

}

AddMinimapAtlas("images/creighton.xml")


-- The character select screightonen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.creighton = "The Wanderer"
GLOBAL.STRINGS.CHARACTER_NAMES.creighton = "creighton"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.creighton = "*Has less hunger \n*Has Dragonslayer's Crescent Axe as his weapon \n*Weapon blocks 10% of all damage"
GLOBAL.STRINGS.CHARACTER_QUOTES.creighton = "\"I am creighton the wanderer!.\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
--GLOBAL.STRINGS.CHARACTERS.creighton = {}
--GLOBAL.STRINGS.CHARACTERS.creighton.DESCRIBE = {}
--GLOBAL.STRINGS.CHARACTERS.creighton.DESCRIBE.EVERGREEN = "Hello tree.. YOU ARE DEAD!"

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- DST
STRINGS.NAMES.CREIGHTON = "Creighton"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CREIGHTON =
{
	GENERIC = "Oh look, It's Creighton!",
	ATTACKER = "What's the matter Creighton?...",
	MURDERER = "You Monster!",
	REVIVER = "Creighton, friend of ghosts.",
	GHOST = "Creighton could use a heart....",
}

-- Let the game know Creighton is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "creighton")

AddMinimapAtlas("images/map_icons/creighton.xml")

AddModCharacter("creighton")
